#!/usr/bin/python

# Author: Peter Schwabe
# Date: 2009-03-19
# Public domain

import re
import sys
from consts import *

for line in sys.stdin.readlines():
    line = re.sub(commentstr, macro_comment_str, line)
    line = re.sub(macro_comment_str, "#", line)
    line = re.sub(semstr, ";", line)
    print line,
